0.9.8: GLM_GTX_transform2

| 0.9.8

- Main Page
- Modules
- Files

Functions
GLM_GTX_transform2
GTX Extensions (Experimental)

## Functions
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | proj2D (const tmat3x3< T, P > &m, const tvec3< T, P > &normal)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | proj3D (const tmat4x4< T, P > &m, const tvec3< T, P > &normal)
template<typename valType , precision P>
GLM_FUNC_DECL tmat4x4< valType, P > | scaleBias (valType scale, valType bias)
template<typename valType , precision P>
GLM_FUNC_DECL tmat4x4< valType, P > | scaleBias (tmat4x4< valType, P > const &m, valType scale, valType bias)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | shearX2D (tmat3x3< T, P > const &m, T y)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | shearX3D (const tmat4x4< T, P > &m, T y, T z)
template<typename T , precision P>
GLM_FUNC_DECL tmat3x3< T, P > | shearY2D (tmat3x3< T, P > const &m, T x)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | shearY3D (const tmat4x4< T, P > &m, T x, T z)
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | shearZ3D (const tmat4x4< T, P > &m, T x, T y)

## Detailed Description

Add extra transformation matrices.

<glm/gtx/transform2.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL tmat3x3<T, P> glm::proj2D | ( | const tmat3x3< T, P > & | m,
|  | const tvec3< T, P > & | normal
| ) |  |

Build planar projection matrix along normal axis.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::proj3D | ( | const tmat4x4< T, P > & | m,
|  | const tvec3< T, P > & | normal
| ) |  |

Build planar projection matrix along normal axis.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat4x4<valType, P> glm::scaleBias | ( | valType | scale,
|  | valType | bias
| ) |  |

Build a scale bias matrix.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat4x4<valType, P> glm::scaleBias | ( | tmat4x4< valType, P > const & | m,
|  | valType | scale,
|  | valType | bias
| ) |  |

Build a scale bias matrix.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::shearX2D | ( | tmat3x3< T, P > const & | m,
|  | T | y
| ) |  |

Transforms a matrix with a shearing on X axis.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::shearX3D | ( | const tmat4x4< T, P > & | m,
|  | T | y,
|  | T | z
| ) |  |

Transforms a matrix with a shearing on X axis From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat3x3<T, P> glm::shearY2D | ( | tmat3x3< T, P > const & | m,
|  | T | x
| ) |  |

Transforms a matrix with a shearing on Y axis.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::shearY3D | ( | const tmat4x4< T, P > & | m,
|  | T | x,
|  | T | z
| ) |  |

Transforms a matrix with a shearing on Y axis.

From GLM_GTX_transform2 extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::shearZ3D | ( | const tmat4x4< T, P > & | m,
|  | T | x,
|  | T | y
| ) |  |

Transforms a matrix with a shearing on Z axis.

From GLM_GTX_transform2 extension.